import { r as registerInstance, h, H as Host } from './index-102043e0.js';
import { C as CookieStorage } from './cookie-647f9dc7.js';
import { S as SozlukApi } from './index-1e9f4c53.js';
import { p as prod } from './services-fc4ce8f3.js';
import { D as DamgaApi } from './damga-api-ad633a02.js';
import './kimlikApi-ac700c81.js';
import './data-transfer-field-918730a3.js';
import './BaseField-461b6d0c.js';
import './filter-cbaa3d7d.js';
import './_commonjsHelpers-27f122dd.js';

let DevingenProductRootDamga = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  componentWillLoad() {
    const jwt = new CookieStorage().getAll().jwt;
    const headers = {
      Authorization: jwt ? `Bearer ${new CookieStorage().getAll().jwt}` : undefined,
    };
    this.apiDamga = new DamgaApi(`${prod.damga}/${prod.base}`, headers);
    this.apiSozluk = new SozlukApi();
  }
  render() {
    const { apiDamga, apiData, apiSozluk, product, products, workspaceOwnerships } = this;
    return (h(Host, null, h("devingen-product-damga-domains", { apiDamga: apiDamga, apiData: apiData, apiSozluk: apiSozluk, product: product, products: products, workspaceOwnerships: workspaceOwnerships })));
  }
};

export { DevingenProductRootDamga as devingen_product_root_damga };
